Bug 146285 - Crash mergedlo!SfxItemPool::PutImpl+0x1a7:
Summary: Crash mergedlo!SfxItemPool::PutImpl+0x1a7:
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.4.0.0 alpha0+ Master
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.4.0 target:7.3.0.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2021-12-17 18:53 UTC by Telesto
Modified: 2022-01-13 19:07 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
bt with debug symbols (7.40 KB, text/plain)
2021-12-18 10:48 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2021-12-17 18:53:12 UTC
Description:
Crash mergedlo!SfxItemPool::PutImpl+0x1a7:

Steps to Reproduce:
1. Open attachment 176979 [details]
2. Format -> Edit style -> Outline & List tab
3. Press Edit Style -> Crash

Actual Results:
Crash

Expected Results:
no crash


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.4.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: deea3b7471c3dab0220eca6146c225a2d47681a2
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 1 Telesto 2021-12-17 18:58:43 UTC
Not in
Version: 7.2.1.0.0+ (x64) / LibreOffice Community
Build ID: 8fdbb8aed1b48734a717d5f98ada566de7204605
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL

The Edit style button is active for some reason (should be disabled, which was the case in older versions)
Comment 2 Julien Nabet 2021-12-18 10:48:08 UTC
Created attachment 176994 [details]
bt with debug symbols

The process is:
1. Open attachment 176979 [details]
2. Style -> Edit style -> Outline & List tab
3. Press Edit Style -> Crash

On pc Debian x86-64 with master sources updated today, here what I got:
- with gtk3 rendering, the "Edit Style" button is disabled so can't test
- with gen or kf5 rendering,  the "Edit Style" button is enabled, if I click on it, no crash but I noticed this on console:
warn:sw.ui:27542:27542:sw/source/uibase/app/docst.cxx:882: Style not found

I attached the bt retrieved from this console log with gen rendering
Comment 3 Julien Nabet 2021-12-18 10:59:07 UTC
Caolán: noticing dcab1993ed29a408a704cfddbbd15dc7dd8ffc80 "Resolves: tdf#129527 enable/disable edit-style button at the right time"
thought you might be interested in this one.

In all cases LO got here in sw/source/ui/chrdlg/numpara.cxx:
290 IMPL_LINK_NOARG(SwParagraphNumTabPage, EditNumStyleSelectHdl_Impl, weld::ComboBox&, void)
291 {
292     int numSelectPos = m_xNumberStyleLB->get_active();
293     // 0 is "None" and -1 is unselected state
294     if (numSelectPos == 0 || numSelectPos == -1)
295         m_xEditNumStyleBtn->set_sensitive(false);
296     else
297         m_xEditNumStyleBtn->set_sensitive(true); <<<<<<< HERE
298 }
See https://opengrok.libreoffice.org/xref/core/sw/source/ui/chrdlg/numpara.cxx?r=88afa134#290

in gtk3, the button is disabled but not with gen/kf5 renderings.
Comment 4 zcrhonek 2021-12-30 11:58:12 UTC
(In reply to Telesto from comment #1)

> The Edit style button is active for some reason (should be disabled, which
> was the case in older versions)

This seems to have begun at the below commit.
Adding Cc: to Caolán McNamara ; Could you possibly take a look at this one?
Thanks
 4ce81c99043245f376e488449e20fe850b2e2321 is the first bad commit
commit 4ce81c99043245f376e488449e20fe850b2e2321
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Tue Nov 23 20:49:19 2021 +0100

    source sha:88afa134df87119fb23793543a15c23432b94cb2

https://gerrit.libreoffice.org/c/core/+/125730
Resolves: tdf#145804 show "Chapter Numbering" as (uneditable) list style
Comment 5 Commit Notification 2022-01-07 08:54:55 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/75f1d3a9109acd4edd96033edbabe53d80920a52

Resolves: tdf#146285 the "edit" button should be insensitive

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Julien Nabet 2022-01-07 15:28:57 UTC
On pc Debian x86-64 with master sources updated today, I don't reproduce this anymore.
Button Edit Style is also disabled with gen and kf5 renderings now.

Thank you Caolán!
Comment 7 Commit Notification 2022-01-09 12:33:28 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/f2b9ccba7a2dace2c384de06464d6f3535e98620

Resolves: tdf#146285 the "edit" button should be insensitive

It will be available in 7.3.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.